/* This REXX script installs the Java Common RAID Manager for OS/2 */

SAY
SAY "This program will install the IBM ServeRAID Manager software."
SAY
call RxFuncAdd 'SysDriveMap', 'RexxUtil', 'SysDriveMap'
call RxFuncAdd 'SysTempFileName', 'RexxUtil', 'SysTempFileName'
call RxFuncAdd 'SysRmDir', 'RexxUtil', 'SysRmDir'
call GetDrive
CDDirectory = directory()
TEMPDIR = SysTempFileName(Drive'\TEMP???')
echo off
mkdir TEMPDIR
CURRDirectory = directory(TEMPDIR)
if CURRDirectory = TEMPDIR then
   do
   copy CDDirectory'\RaidMan.jar'
   CDDirectory'\runtime\bin\jre.exe -cp 'CURRDirectory'\RaidMan.jar RaidMan'
   'cd \'
   'del 'TEMPDIR'\RaidMan.jar'
   call SysRmDir TEMPDIR
   end
else
   SAY "Could not create temporary directory."
Exit

GetDrive:
 
     Valid = 0 
     Drives = SysDriveMap('C:', 'USED') /* All used drives              */ 
     If (Pos(Svalue,Drives) = 0) | (Strip(Svalue) = '') then Do Until Valid 
       Say 'You have the following Drives:' /* No drive or invalid drive*/ 
       Say 'Select the number of the drive you wish to install on:' 
       Do I = 1 to Words(Drives)       /* Give selection list of        */ 
         Say '  'I'  ' Word(Drives,I)      /* all accesible drives          */ 
       End
       AbortNum = Words(Drives) + 1
       SAY '  'AbortNum'   Cancel installation'
       SAY 
       Pull Number 
       If (Datatype(Number,'W') = 1) & (Number = AbortNum) then EXIT
       If (Datatype(Number,'W') = 1) & (0 < Number) & (Number <= Words(Drives)) 
         then Valid = 1 
       Else Do 
         Say 'You typed in an invalid number 'Number'!' 
         Say 'Please choose a number between 1 and 'Words(Drives) 
       End 
     End
     Drive = Word(Drives,Number) 
     Return Drive

RmDir:

     RuntimeDir = TEMPDIR'\RUNTIME'
     RuntimeDllDir = RuntimeDir'\DLL'
     RuntimeLibDir = RuntimeDir'\LIB'
     RuntimeBinDir = RuntimeDir'\BIN'
     RuntimeSecDir = RuntimeLibDir'\SECURITY'
     rm RuntimeSecDir'\*.*'
     rmdir RuntimeSecDir
     rm RuntimeLibDir'\*.*'


